set CA_DIR=%~dp0..\
set CA_COM="BKTurbo8.exe"
set CA_B2O="BKbin2obj.exe"

set ASSEMBLER=%CA_DIR%%CA_COM%
set BIN2OBJ=%CA_DIR%%CA_B2O%

%ASSEMBLER% -lxon -oxon cl XONIX.ASM
%ASSEMBLER% -l cl FX.ASM
%BIN2OBJ% -sbin -lFONT FIGURE.FNT
%BIN2OBJ% -sbin -lOOOD VOICE.BIN
%BIN2OBJ% -sbin -lMARKX MARKX.PCK

%ASSEMBLER% -l li XONIX XON.OBJ FIGURE.OBJ VOICE.OBJ FX.OBJ MARKX.OBJ

md out
copy xonix.bin out\*
copy *.lst out\*

del xonix.bin
del *.obj
del *.lst
